﻿using System.Collections.Generic;

namespace Rendszerhiba_Újratöltve
{
    /// <summary>
    /// Reprezentál egy karaktert a HTML kódban
    /// </summary>
    class HTMLKarakter :IHTMLElem
    {
        char karakter;

        public HTMLKarakter(char karakter)
        {
            this.karakter = karakter;
        }

        public string Kiír()
        {
            switch (karakter)
            {
                case '<':
                    return "&lt;";
                case '>':
                    return "&gt;";
                default:
                    return karakter.ToString();
            }
        }

        /// <summary>
        /// Egy szöveget IEnumerable-é alakít, HTMLKarakter objektumokkal
        /// </summary>
        /// <param name="szöveg">Az átalakítandó szöveg</param>
        /// <returns>A szöveg IEnumerable HTMLKarakter megfelelője</returns>
        public static IEnumerable<HTMLKarakter> KarakterréAlakít(string szöveg)
        {
            foreach(char betű in szöveg)
            {
                yield return new HTMLKarakter(betű);
            }
        }
    }
}
