﻿namespace Rendszerhiba_Újratöltve
{
    /// <summary>
    /// A markdown szöveg kölünböző mintákkal való értelmezéséhez
    /// </summary>
    interface IMarkdownElemÉrtelmező
    {
        /// <summary>
        /// Megfelel-e a szöveg a meghatározott mintának.
        /// </summary>
        /// <param name="szöveg">Vizsgálandó szöveg.</param>
        /// <param name="index">A szövegen belül hol kell értelmezni.</param>
        /// <returns></returns>
        bool Értelemezhető(string szöveg, int index);

        /// <summary>
        /// A különböző jelzésekkel ellátott szövegeket értelmezi.
        /// </summary>
        /// <param name="szöveg">Vizsgálandó szöveg.</param>
        /// <param name="index">A szövegen belül hol kell értelmezni.</param>
        /// <returns>Az értelmezett elem. Ha nullt ad vissza, az értelmezést be kell fejezni.</returns>
        IHTMLElem Értelmez(string szöveg, ref int index);
    }
}
