﻿using System.Collections.Generic;
using System.Linq;

namespace Rendszerhiba_Újratöltve
{
    /// <summary>
    /// Értelmezi a markdown kódban a linkeket
    /// </summary>
    class MarkdownLinkÉrtelmező : IMarkdownElemÉrtelmező
    {
        public bool Értelemezhető(string szöveg, int index)
        {
            return szöveg[index] == '[';
        }

        public IHTMLElem Értelmez(string szöveg, ref int index)
        {
            index++;
            IEnumerable<IHTMLElem> tartalom = MarkdownÉrtelmező.EgyszerűSzövegÉrtelmezés(szöveg, ref index);
            index += 2; //kihagyjuk a ](-t
            int urlVég = szöveg.IndexOf(')', index);
            IEnumerable<IHTMLElem> url = MarkdownÉrtelmező.EgyszerűSzövegÉrtelmezés(szöveg, ref index);
            index++;
            string urlSzöveg = string.Join("", from elem in url
                                               select elem.Kiír());
            return new HTMLLink(urlSzöveg, tartalom);
        }
    }
}
